osl::csa::CsaString Class Reference

`#include <csa.h>`

Inheritance diagram for osl::csa::CsaString:

## Public Member Functions

| CsaString (const std::string &)
NumEffectState | initialState () const
Public Member Functions inherited from osl::csa::CsaFileMinimal
| CsaFileMinimal (const std::string &filename)
| CsaFileMinimal (std::istream &is)
virtual | ~CsaFileMinimal ()
RecordMinimal | load () const
std::vector< Move > | moves () const
const NumEffectState & | initialState () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::csa::CsaFileMinimal
static bool | parseLine (SimpleState &, RecordMinimal &, std::string element, CArray< bool, 9 > &)
Protected Member Functions inherited from osl::csa::CsaFileMinimal
| CsaFileMinimal ()
void | load (std::istream &)

## Detailed Description

Definition at line 69 of file csa.h.

## Constructor & Destructor Documentation

## CsaString()

osl::csa::CsaString::CsaString | ( | const std::string & | s | ) |

Definition at line 325 of file csa.cc.

References osl::csa::CsaFileMinimal::load().

## Member Function Documentation

## initialState()

NumEffectState osl::csa::CsaString::initialState | ( |  | ) | const

inline

Definition at line 73 of file csa.h.

References osl::RecordMinimal::initial_state, and osl::csa::CsaFileMinimal::load().

The documentation for this class was generated from the following files:

- csa.h
- csa.cc